Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.hbm2java
Class MethodSignatureBuilder

    java.lang.Object
      |
      +--net.sf.hibernate.tool.hbm2java.MethodSignatureBuilder

public class MethodSignatureBuilder
extends Object

Build method signatures given lots of parameters Date: Apr 15, 2003 Time: 7:30:09 PM

Author:
  Matt Hall (matt2k(at)users.sf.net)

Constructor Summary
`MethodSignatureBuilder(String methodName, String returnType, String accessModifier)`

Method Summary
`void` | `addParam(String param)`
`void` | `addThrows(String throwsString)`
`String` | `buildMethodSignature()`
`String` | `getAccessModifier()`
`String` | `getName()`
`ArrayList` | `getParamList()`
`String` | `getReturnType()`
`void` | `setAccessModifier(String accessModifier)`
`void` | `setName(String name)`
`void` | `setParamList(ArrayList paramList)`
`void` | `setReturnType(String returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodSignatureBuilder

    public MethodSignatureBuilder(String methodName,
                                  String returnType,
                                  String accessModifier)

Method Detail

### buildMethodSignature

    public String buildMethodSignature()

### getName

    public String getName()

### setName

    public void setName(String name)

### getReturnType

    public String getReturnType()

### setReturnType

    public void setReturnType(String returnType)

### getAccessModifier

    public String getAccessModifier()

### setAccessModifier

    public void setAccessModifier(String accessModifier)

### getParamList

    public ArrayList getParamList()

### setParamList

    public void setParamList(ArrayList paramList)

### addParam

    public void addParam(String param)

### addThrows

    public void addThrows(String throwsString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD